Subject: [spring] FW: I-D Action: draft-farrel-spring-sr-domain-interconnect-04.txt

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 13 Jun 2018 16:55:48 +0100

Some of you may recall discussing this in SPRING a few meetings ago.

It is an overview of how a number of networking building blocks fit together to
provide interconnection of SR domains.

There is no new technology defined in the document: just a high-level view of
how mechanisms defined in other documents may be combined. Hence, it is an
informational document.

Something we need to add, I think is a description of how SR-MPLS-over-UDP (per
draft-xu-mpls-sr-over-ip) fits in.

We would (of course) welcome thoughts on:
- what is not clear
- what we have missed
- what is OTT to include

Probably we would also like to hear whether there is any value in this document.

Thanks,
Adrian

> -----Original Message-----
> From: I-D-Announce [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: 13 June 2018 16:26
> To: [email-masked]
> Subject: I-D Action: draft-farrel-spring-sr-domain-interconnect-04.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> 
> 
>         Title           : Interconnection of Segment Routing Domains - Problem
> Statement and Solution Landscape
>         Authors         : Adrian Farrel
>                           John Drake
> 	Filename        : draft-farrel-spring-sr-domain-interconnect-04.txt
> 	Pages           : 35
> 	Date            : 2018-06-13
> 
> Abstract:
>    Segment Routing (SR) is a forwarding paradigm for use in MPLS and
>    IPv6 networks.  It is intended to be deployed in discrete domains
>    that may be data centers, access networks, or other networks that are
>    under the control of a single operator and that can easily be
>    upgraded to support this new technology.
> 
>    Traffic originating in one SR domain often terminates in another SR
>    domain, but must transit a backbone network that provides
>    interconnection between those domains.
> 
>    This document describes a mechanism for providing connectivity
>    between SR domains to enable end-to-end or domain-to-domain traffic
>    engineering.
> 
>    The approach described allows connectivity between SR domains,
>    utilizes traffic engineering mechanisms (RSVP-TE or Segment Routing)
>    across the backbone network, makes heavy use of pre-existing
>    technologies, and requires the specification of very few additional
>    mechanisms.
> 
>    This document provides some background and a problem statement,
>    explains the solution mechanism, gives references to other documents
>    that define protocol mechanisms, and provides examples.  It does not
>    define any new protocol mechanisms.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-farrel-spring-sr-domain-interconnect/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-farrel-spring-sr-domain-interconnect-04
> https://datatracker.ietf.org/doc/html/draft-farrel-spring-sr-domain-
> interconnect-04
> 
> A diff from the previous version is available at:
>
https://www.ietf.org/rfcdiff?url2=draft-farrel-spring-sr-domain-interconnect-04
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt